#include <iostream>
using namespace std;
int ceodeo(int a,int p,int q,int r)
{
    long long int a1=a/p;
    long long int a2=a/q;
    long long int a3=a/r;
    if(a%p!=0)
       a1++;
    if(a%q!=0)
        a2++;
    if(a%r!=0)
        a3++;
    if(a1+a2+a3<=a)
        return 1;
    return 0;
}
int prost(long long int R,int p,int q,int r,long long int L)
{

    for(long long int i=L;i<=R;i++)
    if(i%q!=0&&i%p!=0&&i%r!=0&&ceodeo(i,p,q,r)!=0)
    return i;
    return 0;
}
int main()
{
    long long int a,p,q,r,R,L,k=0;
    cin>>p>>q>>r>>L>>R;
    a=prost(R,p,q,r,L);
    if(a==0)
        a=R;

        for(long long int i=L;i<=a;i++)
        {
            if(ceodeo(i,p,q,r)==1)
                k++;
        }
    cout<<k+R-a;
}